<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Accreditation Registration</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f5f5f5;
        }
        .hero-wrap {
            background-image: url('plugins/jobportal/images/.jpg');
            background-size: cover;
            background-position: center;
/*            height: 100vh;*/
            display: flex;
            justify-content: center;
            align-items: center;
            color: #fff;
        }
        .hero-wrap h1 {
            font-size: 36px;
            color: black;
        }
        .form-container {
            background-color: #fff;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0,0,0,0.1);
        }
        .form-group label {
            font-weight: bold;
        }
        .btn-primary {
            background-color: #007bff;
            color: #fff;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        .btn-primary:hover {
            background-color: #0069d9;
        }
    </style>
</head>
<body>
    <div class="hero-wrap">
        <h1>Accreditation Registration</h1>
    </div>
    <section class="ftco-section bg-light">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-6">
                    <div class="form-container">
                      <form class="form-horizontal" action="process.php?action=registerAgency" method="POST">
    <h2>Fill Up Accreditor Information</h2>
    <div class="form-group">
        <label for="COMPANYNAME">Accreditor Name:</label>
        <input type="text" class="form-control" id="COMPANYNAME" name="COMPANYNAME" placeholder="Agency Name" required>
    </div>
    <div class="form-group">
        <label for="COMPANYADDRESS">Accreditor Address:</label>
        <textarea class="form-control" id="compose-textarea" name="COMPANYADDRESS" placeholder="Agency Address" required></textarea>
    </div>
    <div class="form-group">
        <label for="COMPANYCONTACTNO">Accreditor Contact No.:</label>
        <input type="text" class="form-control" id="COMPANYCONTACTNO" name="COMPANYCONTACTNO" placeholder="Agency Contact No." required>
    </div>
    <div class="form-group">
        <label for="C_Username">Username:</label>
        <input type="text" class="form-control" id="C_Username" name="C_Username" placeholder="Account Username" required>
    </div>
    <div class="form-group">
        <label for="C_Password">Password:</label>
        <input type="password" class="form-control" id="C_Password" name="C_Password" placeholder="Account Password" required>
    </div>
    <div class="form-group">
        <div class="row">
            <div class="col-md-6">
                <button type="submit" name="btnRegister" class="btn btn-primary btn-block">Register</button>
            </div>
            <div class="col-md-6">
                <a href="index.php" class="btn btn-secondary btn-block"><i class="fas fa-arrow-left"></i> Back</a>
            </div>
        </div>
    </div>
</form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</body>
</html>