-- phpMyAdmin SQL Dump
-- version 5.0.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Nov 29, 2024 at 05:59 AM
-- Server version: 10.4.11-MariaDB
-- PHP Version: 7.4.2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `db_accreditation`
--

-- --------------------------------------------------------

--
-- Table structure for table `tblarea`
--

CREATE TABLE `tblarea` (
  `AreaID` int(11) NOT NULL,
  `SchoolID` int(11) NOT NULL,
  `AreaNo` varchar(90) NOT NULL,
  `AreaDescription` varchar(90) NOT NULL,
  `DateCreated` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tblattachmentfile`
--

CREATE TABLE `tblattachmentfile` (
  `FILEID` int(11) NOT NULL,
  `JOBID` int(11) NOT NULL,
  `FILE_NAME` varchar(90) NOT NULL,
  `FILE_LOCATION` varchar(255) NOT NULL,
  `USERATTACHMENTID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblattachmentfile`
--

INSERT INTO `tblattachmentfile` (`FILEID`, `JOBID`, `FILE_NAME`, `FILE_LOCATION`, `USERATTACHMENTID`) VALUES
(202100004, 6, 'Resume', 'photos/08062021014513Calendar Integration in PHP with Full Source Code.docx', 2021023),
(202100005, 7, 'Resume', 'photos/09062021105108Calendar Integration in PHP with Full Source Code.docx', 2021024);

-- --------------------------------------------------------

--
-- Table structure for table `tblautonumbers`
--

CREATE TABLE `tblautonumbers` (
  `AUTOID` int(11) NOT NULL,
  `AUTOSTART` varchar(30) NOT NULL,
  `AUTOEND` int(11) NOT NULL,
  `AUTOINC` int(11) NOT NULL,
  `AUTOKEY` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblautonumbers`
--

INSERT INTO `tblautonumbers` (`AUTOID`, `AUTOSTART`, `AUTOEND`, `AUTOINC`, `AUTOKEY`) VALUES
(1, '02983', 10, 1, 'userid'),
(2, '000', 80, 1, 'employeeid'),
(3, '0', 25, 1, 'APPLICANT'),
(4, '0000', 6, 1, 'FILEID'),
(5, 'T0', 1, 1, 'TransactionNo');

-- --------------------------------------------------------

--
-- Table structure for table `tblcompany`
--

CREATE TABLE `tblcompany` (
  `COMPANYID` int(11) NOT NULL,
  `COMPANYNAME` varchar(90) NOT NULL,
  `COMPANYADDRESS` text NOT NULL,
  `COMPANYCONTACTNO` text NOT NULL,
  `AccreditorName` varchar(90) NOT NULL,
  `C_Username` varchar(90) NOT NULL,
  `C_Password` varchar(90) NOT NULL,
  `Img1` varchar(500) NOT NULL,
  `COMPANYEMAIL` varchar(90) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblcompany`
--

INSERT INTO `tblcompany` (`COMPANYID`, `COMPANYNAME`, `COMPANYADDRESS`, `COMPANYCONTACTNO`, `AccreditorName`, `C_Username`, `C_Password`, `Img1`, `COMPANYEMAIL`) VALUES
(7, 'cpsu', 'camingawan', '1313123', '', 'cpsu', '5d9a583b06b4a778a769c30949c71cbc4d6487af', '', ''),
(8, 'cpu', 'cpu', '132132', '', 'cpu', 'ca49ca4bb6732ef61577364cb33b115854e88f06', 'photos/logo3.jfif', ''),
(9, 'cpsu', 'camingawan', '123123123', '', 'cpsu', '5d9a583b06b4a778a769c30949c71cbc4d6487af', '', ''),
(10, 'cpsu1', 'camingawan', '21321321', '', 'cpsu1', 'b6409b93b7cb25f85e4408d03f3903deeb07a4d5', '', ''),
(11, 'sample', 'sample', '12321321', '', 'sample', '8151325dcdbae9e0ff95f9f9658432dbedfdb209', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `tblnotification`
--

CREATE TABLE `tblnotification` (
  `NotificationID` int(11) NOT NULL,
  `CreatedBy` int(11) NOT NULL,
  `SendTo` int(11) NOT NULL,
  `NotificationDate` datetime NOT NULL DEFAULT current_timestamp(),
  `ForeignID` int(11) NOT NULL,
  `NotificationMessage` text NOT NULL,
  `Category` varchar(90) NOT NULL,
  `AlreadyViewed` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblnotification`
--

INSERT INTO `tblnotification` (`NotificationID`, `CreatedBy`, `SendTo`, `NotificationDate`, `ForeignID`, `NotificationMessage`, `Category`, `AlreadyViewed`) VALUES
(1, 1, 5, '2021-11-23 02:59:18', 1, 'The school Adventist University of the Philippines is Requesting for accreditation.', 'Request Accreditation', 1),
(2, 5, 1, '2021-11-23 03:00:03', 1, 'The agency AACCUP is Requesting the following documents', 'Requesting Documents', 1),
(3, 1, 5, '2021-11-23 03:17:01', 1, 'The school Adventist University of the Philippines sent the following document', 'Upload Document', 1),
(4, 5, 1, '2021-11-23 03:27:15', 1, 'visit', 'Schedule', 1),
(5, 1, 5, '2021-11-24 02:05:54', 2, 'The school Adventist University of the Philippines is Requesting for accreditation.', 'Request Accreditation', 1),
(6, 1, 5, '2021-11-24 02:08:58', 3, 'The school Adventist University of the Philippines is Requesting for accreditation.', 'Request Accreditation', 0),
(7, 1, 5, '2021-11-24 02:09:14', 4, 'The school Adventist University of the Philippines is Requesting for accreditation.', 'Request Accreditation', 0),
(8, 1, 5, '2021-11-24 02:10:22', 5, 'The school Adventist University of the Philippines is Requesting for accreditation.', 'Request Accreditation', 0),
(9, 1, 5, '2021-11-24 02:12:08', 6, 'The school Adventist University of the Philippines is Requesting for accreditation.', 'Request Accreditation', 0),
(10, 3, 8, '2024-09-16 13:08:03', 1, 'The school CCS is Requesting for accreditation.', 'Request Accreditation', 1),
(11, 8, 3, '2024-09-16 13:09:05', 1, 'The agency cpu is Requesting the following documents', 'Requesting Documents', 0),
(12, 3, 8, '2024-09-16 13:10:07', 1, 'The school CCS sent the following document', 'Upload Document', 1),
(13, 8, 3, '2024-09-16 13:12:38', 1, 'schedule for accredit', 'Schedule', 0),
(14, 8, 3, '2024-09-19 16:08:22', 20240919, 'The agency cpu already evaluated your school . ', 'Survey', 0),
(15, 3, 8, '2024-09-19 16:09:59', 2, 'The school CCS is Requesting for accreditation.', 'Request Accreditation', 1),
(16, 8, 3, '2024-09-19 16:10:51', 2, 'The agency cpu is Requesting the following documents', 'Requesting Documents', 0),
(17, 3, 8, '2024-09-19 16:11:20', 2, 'The school CCS sent the following document', 'Upload Document', 1),
(18, 8, 3, '2024-09-19 16:12:01', 2, 'The agency cpu approved all the documents the you provided. We well inform you of your schedule for visiting. ', 'Requesting Documents', 0),
(19, 8, 3, '2024-09-19 16:14:24', 2, 'ready', 'Schedule', 0),
(20, 8, 3, '2024-09-19 16:15:23', 20240919, 'The agency cpu already evaluated your school . ', 'Survey', 0),
(21, 3, 8, '2024-09-27 08:06:55', 3, 'The school CCS is Requesting for accreditation.', 'Request Accreditation', 1),
(22, 8, 3, '2024-09-27 08:07:14', 3, 'The agency cpu is Requesting the following documents', 'Requesting Documents', 0),
(23, 3, 8, '2024-09-27 08:08:06', 3, 'The school CCS sent the following document', 'Upload Document', 1),
(24, 8, 3, '2024-09-27 08:08:23', 3, 'The agency cpu approved all the documents the you provided. We well inform you of your schedule for visiting. ', 'Requesting Documents', 0),
(25, 8, 3, '2024-09-27 08:09:15', 3, 'urgent checking', 'Schedule', 0),
(26, 8, 0, '2024-09-27 08:26:50', 0, 'The agency cpu is Requesting another documents', 'Requesting Documents', 0),
(27, 3, 8, '2024-09-27 08:43:49', 4, 'The school CCS is Requesting for accreditation.', 'Request Accreditation', 1),
(28, 8, 3, '2024-09-27 08:44:22', 4, 'The agency cpu is Requesting the following documents', 'Requesting Documents', 0),
(29, 3, 8, '2024-09-27 08:44:42', 4, 'The school CCS sent the following document', 'Upload Document', 1),
(30, 8, 3, '2024-09-27 08:45:28', 4, '', 'Schedule', 0),
(31, 3, 8, '2024-10-20 17:13:06', 5, 'The school CCS is Requesting for accreditation.', 'Request Accreditation', 1),
(32, 8, 3, '2024-10-20 17:13:31', 5, 'The agency cpu is Requesting the following documents', 'Requesting Documents', 0),
(33, 3, 8, '2024-10-20 17:17:14', 5, 'The school CCS sent the following document', 'Upload Document', 1),
(34, 8, 3, '2024-10-20 17:18:05', 5, 'prepare for evaluation', 'Schedule', 0),
(35, 8, 3, '2024-10-20 17:22:02', 20241020, 'The agency cpu already evaluated your school . ', 'Survey', 0),
(36, 8, 3, '2024-10-20 17:32:16', 5, 'prepare for evaluation', 'Schedule', 0),
(37, 3, 8, '2024-10-20 17:44:11', 6, 'The school CCS is Requesting for accreditation.', 'Request Accreditation', 1),
(38, 8, 3, '2024-10-20 17:44:33', 6, 'The agency cpu is Requesting the following documents', 'Requesting Documents', 0),
(39, 3, 8, '2024-10-20 17:44:45', 6, 'The school CCS sent the following document', 'Upload Document', 1),
(40, 8, 3, '2024-10-20 17:45:23', 5, 'prepare', 'Schedule', 0),
(41, 8, 3, '2024-10-20 17:46:43', 20241020, 'The agency cpu already evaluated your school . ', 'Survey', 1),
(42, 5, 11, '2024-11-29 12:51:31', 7, 'The school HM is Requesting for accreditation.', 'Request Accreditation', 0),
(43, 11, 5, '2024-11-29 12:52:09', 7, 'The agency sample is Requesting the following documents', 'Requesting Documents', 0),
(44, 5, 11, '2024-11-29 12:52:43', 7, 'The school HM sent the following document', 'Upload Document', 0),
(45, 11, 5, '2024-11-29 12:53:40', 7, 'uRGENT', 'Schedule', 0),
(46, 11, 5, '2024-11-29 12:54:38', 20241129, 'The agency sample already evaluated your school . ', 'Survey', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tblrequest`
--

CREATE TABLE `tblrequest` (
  `RequestID` int(11) NOT NULL,
  `SchoolID` int(11) NOT NULL,
  `SchoolName` varchar(90) NOT NULL,
  `AgencyID` int(11) NOT NULL,
  `AgencyName` varchar(90) NOT NULL,
  `RequestNotes` text NOT NULL,
  `RequestStatus` varchar(13) NOT NULL DEFAULT 'Pending',
  `DateRequested` datetime NOT NULL DEFAULT current_timestamp(),
  `RequestAccepted` tinyint(1) NOT NULL,
  `ConfirmedDate` datetime NOT NULL,
  `DeclinedDate` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblrequest`
--

INSERT INTO `tblrequest` (`RequestID`, `SchoolID`, `SchoolName`, `AgencyID`, `AgencyName`, `RequestNotes`, `RequestStatus`, `DateRequested`, `RequestAccepted`, `ConfirmedDate`, `DeclinedDate`) VALUES
(6, 3, 'CCS', 8, 'cpu', '                     \r\n                    ', 'Confirmed', '2024-10-20 17:44:11', 1, '2024-10-20 11:44:33', '0000-00-00 00:00:00'),
(7, 5, 'HM', 11, 'sample', 'sample text', 'Confirmed', '2024-11-29 12:51:31', 1, '2024-11-29 05:52:09', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `tblrequestdocuments`
--

CREATE TABLE `tblrequestdocuments` (
  `DocumentID` int(11) NOT NULL,
  `RequestID` int(11) NOT NULL,
  `RequestDocuments` varchar(90) NOT NULL,
  `AgencyID` int(11) NOT NULL,
  `AgencyName` varchar(90) NOT NULL,
  `SchoolID` int(11) NOT NULL,
  `SchoolName` varchar(90) NOT NULL,
  `SchoolAttachment` text NOT NULL,
  `CheckDocumnets` tinyint(1) NOT NULL,
  `Status` varchar(90) NOT NULL,
  `AccreditationLevel` varchar(90) NOT NULL,
  `DateApproved` datetime NOT NULL,
  `ReadytoSchedule` tinyint(1) NOT NULL,
  `Scheduled` tinyint(1) NOT NULL,
  `AlreadyEvaluated` tinyint(1) NOT NULL,
  `TransactionNo` varchar(90) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblrequestdocuments`
--

INSERT INTO `tblrequestdocuments` (`DocumentID`, `RequestID`, `RequestDocuments`, `AgencyID`, `AgencyName`, `SchoolID`, `SchoolName`, `SchoolAttachment`, `CheckDocumnets`, `Status`, `AccreditationLevel`, `DateApproved`, `ReadytoSchedule`, `Scheduled`, `AlreadyEvaluated`, `TransactionNo`) VALUES
(1, 1, 'Modules and Syllabus', 8, 'cpu', 3, 'CCS', '/AccreditationSystem/school/dist/uploadedfiles/160920240710072d.pdf', 1, 'Approved', '1', '0000-00-00 00:00:00', 1, 1, 1, '20240919T01'),
(2, 2, 'sample request', 8, 'cpu', 3, 'CCS', '/AccreditationSystem/school/dist/uploadedfiles/19092024101120174122351_4148774701809137_8504455903066337084_n.jpg', 1, 'Approved', '1', '2024-09-19 10:12:01', 1, 1, 1, '20240919T01'),
(3, 3, '', 8, 'cpu', 3, 'CCS', '/AccreditationSystem/school/dist/uploadedfiles/27092024020806sampledocs.docx', 1, 'Approved', '1', '2024-09-27 02:08:23', 1, 1, 1, ''),
(4, 4, 'upload the le el 3 compliance ', 8, 'cpu', 3, 'CCS', '/AccreditationSystem/school/dist/uploadedfiles/27092024024442sampledocs.docx', 1, 'Approved', '1', '0000-00-00 00:00:00', 1, 1, 1, '20241020T01'),
(5, 5, 'upload the file ', 8, 'cpu', 3, 'CCS', '/AccreditationSystem/school/dist/uploadedfiles/20102024111714Screenshot 2024-07-07 212754.png', 1, 'Approved', '1', '0000-00-00 00:00:00', 1, 1, 1, '20241020T01'),
(6, 6, 'pls upload the syllabus', 8, 'cpu', 3, 'CCS', '/AccreditationSystem/school/dist/uploadedfiles/20102024114445Screenshot 2024-07-07 212754.png', 1, 'Approved', '1', '0000-00-00 00:00:00', 1, 0, 0, ''),
(7, 7, 'Please upload files', 11, 'sample', 5, 'HM', '/AccreditationSystem/school/dist/uploadedfiles/29112024055243sampledocs.docx', 1, 'Approved', '1', '0000-00-00 00:00:00', 1, 1, 1, '20241129T01');

-- --------------------------------------------------------

--
-- Table structure for table `tblschedule`
--

CREATE TABLE `tblschedule` (
  `ScheduleID` int(11) NOT NULL,
  `RequestID` int(11) NOT NULL,
  `DateCreated` datetime NOT NULL DEFAULT current_timestamp(),
  `DateSchedule` datetime NOT NULL,
  `EndScheduleDate` datetime NOT NULL,
  `Remarks` varchar(90) NOT NULL,
  `AgencyID` int(11) NOT NULL,
  `AgencyName` varchar(90) NOT NULL,
  `SchoolID` int(11) NOT NULL,
  `SchoolName` varchar(90) NOT NULL,
  `Settled` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblschedule`
--

INSERT INTO `tblschedule` (`ScheduleID`, `RequestID`, `DateCreated`, `DateSchedule`, `EndScheduleDate`, `Remarks`, `AgencyID`, `AgencyName`, `SchoolID`, `SchoolName`, `Settled`) VALUES
(1, 1, '2024-09-16 13:12:38', '2024-09-16 13:12:00', '2024-09-16 13:12:00', 'schedule for accredit', 8, 'cpu', 3, 'CCS', 0),
(2, 2, '2024-09-19 16:14:24', '2024-09-19 16:14:00', '2024-09-26 16:14:00', 'ready', 8, 'cpu', 3, 'CCS', 0),
(3, 3, '2024-09-27 08:09:15', '2024-09-27 08:09:00', '2024-09-27 08:09:00', 'urgent checking', 8, 'cpu', 3, 'CCS', 0),
(4, 4, '2024-09-27 08:45:28', '2024-09-27 08:45:00', '2024-09-27 08:45:00', '', 8, 'cpu', 3, 'CCS', 0),
(6, 5, '2024-10-20 17:45:23', '2024-10-20 17:45:00', '2024-10-20 17:45:00', 'prepare', 8, 'cpu', 3, 'CCS', 0),
(7, 7, '2024-11-29 12:53:40', '2024-11-29 12:53:00', '2024-11-30 12:53:00', 'uRGENT', 11, 'sample', 5, 'HM', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tblschoollevel`
--

CREATE TABLE `tblschoollevel` (
  `LevelID` int(11) NOT NULL,
  `SurveyID` int(11) NOT NULL,
  `RequestID` int(11) NOT NULL,
  `SchoolID` int(11) NOT NULL,
  `SchoolName` varchar(90) NOT NULL,
  `AgencyID` int(11) NOT NULL,
  `AgencyName` varchar(90) NOT NULL,
  `SchoolLevel` varchar(90) NOT NULL,
  `ValidationDateFrom` date NOT NULL,
  `ValidationDateTo` date NOT NULL,
  `ValidityStatus` int(11) NOT NULL,
  `LevelAttained` tinyint(1) NOT NULL,
  `SchoolRemarks` varchar(90) NOT NULL,
  `LNotes` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tblschools`
--

CREATE TABLE `tblschools` (
  `SCHOOLID` int(11) NOT NULL,
  `SCHOOLNAME` varchar(90) NOT NULL,
  `FNAME` varchar(90) NOT NULL,
  `LNAME` varchar(90) NOT NULL,
  `MNAME` varchar(90) NOT NULL,
  `ADDRESS` varchar(255) NOT NULL,
  `USERNAME` varchar(90) NOT NULL,
  `PASS` varchar(90) NOT NULL,
  `EMAILADDRESS` varchar(90) NOT NULL,
  `CONTACTNO` varchar(90) NOT NULL,
  `S_PHOTO` varchar(255) NOT NULL,
  `SchoolStatus` varchar(90) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblschools`
--

INSERT INTO `tblschools` (`SCHOOLID`, `SCHOOLNAME`, `FNAME`, `LNAME`, `MNAME`, `ADDRESS`, `USERNAME`, `PASS`, `EMAILADDRESS`, `CONTACTNO`, `S_PHOTO`, `SchoolStatus`) VALUES
(3, 'CCS', '', '', '', 'camingawan main cpsu', 'ccs', '2492baf83d19e6846b7cd2484dd59c84efbf827b', 'ccs@gmail.com', '09192441224', 'photos/240_F_335969236_zz4UnCTIdFQ9vJ0w84EMgzCB2hVyR7MH.jpg', ''),
(4, 'COTED', '', '', '', 'CPSU camingawan ', 'coted', '7d9fcb597641a23054daa88a0d5554603524b408', 'coted@gmail.com', '12332222', 'photos/logo3.jfif', ''),
(5, 'HM', '', '', '', '', 'hm', '4ffa4b4f16536b6cd9c214ad709217c8062bcc99', 'hm@gmail.com', '0123344556', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `tblsurvey`
--

CREATE TABLE `tblsurvey` (
  `SurveyID` int(11) NOT NULL,
  `RequestID` int(11) NOT NULL,
  `DocumentID` int(11) NOT NULL,
  `AgencyName` varchar(90) NOT NULL,
  `SchoolName` varchar(90) NOT NULL,
  `SurveyAverage` double NOT NULL,
  `Remarks` varchar(90) NOT NULL,
  `Reason` varchar(255) NOT NULL,
  `LevelAttained` varchar(90) NOT NULL DEFAULT 'N/A',
  `DateEvaluated` datetime NOT NULL DEFAULT current_timestamp(),
  `DateFrom` date NOT NULL,
  `DateTo` date NOT NULL,
  `ValidityStatus` varchar(90) NOT NULL,
  `TransactionNo` varchar(90) NOT NULL,
  `recommendations` varchar(55) NOT NULL,
  `sc_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblsurvey`
--

INSERT INTO `tblsurvey` (`SurveyID`, `RequestID`, `DocumentID`, `AgencyName`, `SchoolName`, `SurveyAverage`, `Remarks`, `Reason`, `LevelAttained`, `DateEvaluated`, `DateFrom`, `DateTo`, `ValidityStatus`, `TransactionNo`, `recommendations`, `sc_id`) VALUES
(4, 5, 5, 'cpu', 'CCS', 5, 'Passed', 'Pass', 'N/A', '2024-10-20 17:46:43', '0000-00-00', '0000-00-00', 'N/A', '20241020T01', '', 0),
(5, 7, 7, 'sample', 'HM', 1, 'Failed', 'Pass', 'N/A', '2024-11-29 12:54:38', '0000-00-00', '0000-00-00', 'N/A', '20241129T01', 'Upload more supporting documents', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tblusers`
--

CREATE TABLE `tblusers` (
  `USERID` varchar(30) NOT NULL,
  `FULLNAME` varchar(40) NOT NULL,
  `USERNAME` varchar(90) NOT NULL,
  `PASS` varchar(90) NOT NULL,
  `ROLE` varchar(30) NOT NULL,
  `PICLOCATION` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblusers`
--

INSERT INTO `tblusers` (`USERID`, `FULLNAME`, `USERNAME`, `PASS`, `ROLE`, `PICLOCATION`) VALUES
('00018', 'JANO ', 'admin', 'd033e22ae348aeb5660fc2140aec35850c4da997', 'Administrator', 'photos/077db70b-ab84-46c4-bbaa-a5dd6b7332a4_200x200.png'),
('029838', 'hr', 'hr', '51bd95353aeda6615433bea21896c893ef5e62dc', 'HR', ''),
('029839', 'sadsad', 'asdas', 'd5644e8105ad77c3c3324ba693e83d8fffd54950', 'Office Head', ''),
('12321312', 'JANNO PALACIOS', 'PALACIOS', 'b14dacac748455c059624f2cbf81acca743fa1ee', 'Employee', ''),
('2018001', 'Chambe Narciso', 'Narciso', 'f3593fd40c55c33d1788309d4137e82f5eab0dea', 'Employee', '');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tblarea`
--
ALTER TABLE `tblarea`
  ADD PRIMARY KEY (`AreaID`);

--
-- Indexes for table `tblattachmentfile`
--
ALTER TABLE `tblattachmentfile`
  ADD PRIMARY KEY (`FILEID`);

--
-- Indexes for table `tblautonumbers`
--
ALTER TABLE `tblautonumbers`
  ADD PRIMARY KEY (`AUTOID`);

--
-- Indexes for table `tblcompany`
--
ALTER TABLE `tblcompany`
  ADD PRIMARY KEY (`COMPANYID`);

--
-- Indexes for table `tblnotification`
--
ALTER TABLE `tblnotification`
  ADD PRIMARY KEY (`NotificationID`);

--
-- Indexes for table `tblrequest`
--
ALTER TABLE `tblrequest`
  ADD PRIMARY KEY (`RequestID`);

--
-- Indexes for table `tblrequestdocuments`
--
ALTER TABLE `tblrequestdocuments`
  ADD PRIMARY KEY (`DocumentID`);

--
-- Indexes for table `tblschedule`
--
ALTER TABLE `tblschedule`
  ADD PRIMARY KEY (`ScheduleID`);

--
-- Indexes for table `tblschoollevel`
--
ALTER TABLE `tblschoollevel`
  ADD PRIMARY KEY (`LevelID`);

--
-- Indexes for table `tblschools`
--
ALTER TABLE `tblschools`
  ADD PRIMARY KEY (`SCHOOLID`);

--
-- Indexes for table `tblsurvey`
--
ALTER TABLE `tblsurvey`
  ADD PRIMARY KEY (`SurveyID`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tblarea`
--
ALTER TABLE `tblarea`
  MODIFY `AreaID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblattachmentfile`
--
ALTER TABLE `tblattachmentfile`
  MODIFY `FILEID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=202100006;

--
-- AUTO_INCREMENT for table `tblautonumbers`
--
ALTER TABLE `tblautonumbers`
  MODIFY `AUTOID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tblcompany`
--
ALTER TABLE `tblcompany`
  MODIFY `COMPANYID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `tblnotification`
--
ALTER TABLE `tblnotification`
  MODIFY `NotificationID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=47;

--
-- AUTO_INCREMENT for table `tblrequest`
--
ALTER TABLE `tblrequest`
  MODIFY `RequestID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tblrequestdocuments`
--
ALTER TABLE `tblrequestdocuments`
  MODIFY `DocumentID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tblschedule`
--
ALTER TABLE `tblschedule`
  MODIFY `ScheduleID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tblschoollevel`
--
ALTER TABLE `tblschoollevel`
  MODIFY `LevelID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblschools`
--
ALTER TABLE `tblschools`
  MODIFY `SCHOOLID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tblsurvey`
--
ALTER TABLE `tblsurvey`
  MODIFY `SurveyID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
