<?php

if (empty($_GET['area']) || empty($_GET['RequestID']) || empty($_GET['department'])) {
    header('Location: index.php');
    exit;
}
include './../../include/connection.php';

$area = $_GET['area'];
$requestID = $_GET['RequestID'];
$department = $_GET['department'];

// INSERT using prepared statement
$insertStmt = $conn->prepare("INSERT INTO tblaccredocs (area, RequestID, department) VALUES (?, ?, ?)");
$insertStmt->bind_param("sss", $area, $requestID, $department);

$insertSuccess = $insertStmt->execute();
$insertStmt->close();

$updateStmt = $conn->prepare("UPDATE tblrequest SET status = 1 WHERE RequestID = ?");
$updateStmt->bind_param("s", $requestID);

$updateSuccess = $updateStmt->execute();
$updateStmt->close();

$conn->close();

header('location: index.php');
