<?php
if (!isset($_SESSION['SCHOOLID'])) {
    redirect(web_root . "index.php");
}

$notificationID = isset($_GET['id']) ? $_GET['id'] : '';

$sql = "UPDATE `tblnotification` SET `AlreadyViewed`=1 WHERE `NotificationID`='{$notificationID}'";
$mydb->setQuery($sql);

@$sql = "SELECT * FROM `tblnotification` WHERE `NotificationID`='{$notificationID}'";
@$mydb->setQuery($sql);
@$rowNotif = $mydb->loadSingleResult();
@$companyID = $rowNotif->CreatedBy;

if ($notificationID == '') {
    $cardTitle = "List of Documents";
} else {
    $sql = "SELECT * FROM `tblcompany` WHERE `COMPANYID`='{$companyID}' LIMIT 1";
    $mydb->setQuery($sql);
    $singleRequest = $mydb->loadSingleResult();
    $cardTitle = "These are the following documents that need to be complied by school. <br/>Requested by: " . $singleRequest->COMPANYNAME;
}
?>

<style type="text/css">
td:nth-child(1), th:nth-child(1),
td:nth-child(2), th:nth-child(2),
td:nth-child(3), th:nth-child(3),
td:nth-child(4), th:nth-child(4),
td:nth-child(5), th:nth-child(5) {
    width: 1px;
    white-space: nowrap;
}
</style>


	<?php
if (!isset($_SESSION['SCHOOLID'])) {
    header("Location: index.php");
    exit();
}


?>



<!-- Document Request List -->
<div class="container mt-4">
    <div class="card">
        <div class="card-header">
            <h3 class="card-title"><?php echo $cardTitle; ?></h3>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                    <i class="fas fa-minus"></i>
                </button>
                <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                    <i class="fas fa-times"></i>
                </button>
            </div>
        </div>

        <div class="card-body">
            <table id="documentsTable" class="table table-bordered table-striped table-sm">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Requested By (Agency)</th>
                        <th>Document Need to Comply</th>
                        <th>Upload Status</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $i = 0;
                    $sql = "SELECT * FROM `tblrequestdocuments` WHERE SchoolID=" . $_SESSION['SCHOOLID'];
                    $mydb->setQuery($sql);
                    $cur = $mydb->loadResultList();

                    foreach ($cur as $row) {
                        $i++;
                        echo '<tr>';
                        echo '<td>' . $i . '</td>';
                        echo '<td>' . htmlspecialchars($row->AgencyName) . '</td>';
                        echo '<td>' . htmlspecialchars($row->RequestDocuments) . '</td>';
                        echo '<td>' . htmlspecialchars($row->Status) . '</td>';
                        echo '<td align="center">';

                        if ($row->Status == 'Pending') {
                            echo '<a href="#modal-lg" data-toggle="modal" title="Upload Document" class="uploadModal btn btn-primary btn-sm" data-id="' . $row->DocumentID . '">
                                    <i class="fa fa-upload"></i>
                                  </a>';
                        } else {
                            echo '<a href="#" class="btn btn-info btn-sm previewBtn" style="margin-right: 5px;" data-url="' . htmlspecialchars($row->SchoolAttachment) . '" data-toggle="modal" data-target="#previewModal">
                                    <i class="fa fa-eye"></i> View
                                  </a>';
                            echo '<a href="' . htmlspecialchars($row->SchoolAttachment) . '" download class="btn btn-success btn-sm">
                                    <i class="fa fa-download"></i> Download
                                  </a>';
                        }

                        if ($row->Status != 'Approved') {
                            echo '<a href="#modal-lg" data-toggle="modal" title="Change Document" class="uploadModal btn btn-primary btn-sm" data-id="' . $row->DocumentID . '">
                                    <i class="fa fa-upload"></i>
                                  </a>';
                            echo '<a href="controller.php?action=remove&id=' . $row->DocumentID . '" title="Remove uploaded Document" class="btn btn-danger btn-sm">
                                    <i class="fa fa-trash"></i>
                                  </a>';
                        }
                        echo '</td>';
                        echo '</tr>';
                    }
                    ?>
                </tbody>
            </table>
        </div>

        <div class="card-footer">Footer</div>
    </div>
</div>

<!-- Preview Document Modal -->
<div class="modal fade" id="previewModal">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Document Preview</h5>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <iframe id="docPreview" src="" width="100%" height="500px"></iframe>
            </div>
        </div>
    </div>
</div>

<!-- Upload Modal Placeholder -->
<div class="modal fade uploadModals" id="modal-lg"></div>

<!-- jQuery and Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

<!-- DataTables JS -->
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

<!-- Initialize DataTables and Preview Modal -->
<script>
$(document).ready(function(){
    $('#documentsTable').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true
    });

    $('.previewBtn').click(function(){
        var fileUrl = $(this).data('url');
        $('#docPreview').attr('src', fileUrl);
    });
});
</script>

</body>
</html>

<!-- Preview Document Modal -->
<div class="modal fade" id="previewModal">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Document Preview</h5>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <iframe id="docPreview" src="" width="100%" height="500px"></iframe>
            </div>
        </div>
    </div>
</div>

<!-- Upload Modal Placeholder -->
<div class="modal fade uploadModals" id="modal-lg"></div>

<!-- JavaScript to Handle Document Preview -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
$(document).ready(function(){
    $('.previewBtn').click(function(){
        var fileUrl = $(this).data('url');
        $('#docPreview').attr('src', fileUrl);
    });
});
</script>
