<!DOCTYPE html>
<html lang="en">
    <?php include './include/head.php'; ?>
    <body class="sb-nav-fixed">
    <?php include './include/header.php'; ?>
        <div id="layoutSidenav">
        <?php include './include/sidebar.php'; ?>
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid px-4">
                        <h1 class="mt-4">Area <?=$_GET['area']?></h1>
                        <div class="card mb-4">
                            <div class="card-header">
                                <i class="fas fa-table me-1"></i>
                                Area <?=$_GET['area']?> Table
                            </div>
                            <div class="card-body">
                                <table id="datatablesSimple">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Department Name</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $sql = "SELECT DISTINCT department FROM tblaccredocs WHERE area = '".$_GET['area']."' ";
                                            $result = mysqli_query($conn, $sql);
                                            $i = 1;
                                            if ($result && mysqli_num_rows($result) > 0) {
                                                while ($row = mysqli_fetch_assoc($result)) {
                                                    ?>
                                                        <tr>
                                                            <td><?=$i?></td>
                                                            <td><?=$row['department']?></td>
                                                            <td>
                                                                <a href="view.php?department=<?=$row['department']?>&area=<?=$_GET['area']?>" class="btn btn-primary fw-semibold">View Documents</a>
                                                            </td>
                                                        </tr>
                                                    <?php
                                                    $i++;
                                                }
                                            }
                                        ?>
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </main>
                <?php include './include/footer.php'; ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js" crossorigin="anonymous"></script>
        <script src="assets/demo/chart-area-demo.js"></script>
        <script src="assets/demo/chart-bar-demo.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/umd/simple-datatables.min.js" crossorigin="anonymous"></script>
        <script src="js/datatables-simple-demo.js"></script>
    </body>
</html>
