<?php  
  if (!isset($_SESSION['SCHOOLID'])){
      redirect(web_root."index.php");
   }

   $requestID = isset($_GET['request']) ? $_GET['request'] : '';
   $agencyID = isset($_GET['id']) ? $_GET['id'] : ''; 
   $category = isset($_GET['category']) ? $_GET['category'] : ''; 

   if ($category == 'Request Accreditation') {
       $sql = "SELECT * FROM `tblrequest` WHERE `RequestID`=".$rowNotif->ForeignID;
   } elseif ($category == 'Requesting Documents') {
       $sql = "SELECT * FROM `tblrequestdocuments` WHERE `RequestID`=".$rowNotif->ForeignID;
   } elseif ($category == 'Upload Document') {
       $sql = "SELECT * FROM `tblrequestdocuments` WHERE `RequestID`=".$rowNotif->ForeignID;
   } elseif ($category == 'Schedule') {
       $sql = "SELECT * FROM `tblschedule` WHERE `ScheduleID`=".$rowNotif->ForeignID;
   }

   $mydb->setQuery($sql);
   $singleResult = $mydb->loadSingleResult();
?> 

<style type="text/css"> 
td:nth-child(1),
td:nth-child(3),
td:nth-child(4),
th:nth-child(4) {
  width: 1px;
  white-space: nowrap;
}
</style> 

<!-- Default box -->
<div class="card">
    <div class="card-header">
        <h3 class="card-title">Request Detail</h3>
        <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                <i class="fas fa-minus"></i>
            </button>
            <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                <i class="fas fa-times"></i>
            </button>
        </div>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-12 col-md-12 col-lg-4 order-2 order-md-1">
                <h5>Agency Details</h5>
                <div class="post">
                    <div class="user-block">
                        <img class="img-circle img-bordered-sm" src="<?php echo $singleRequest->Img1; ?>" alt="">
                        <span class="username">
                            <a href="#"><?php echo $singleRequest->COMPANYNAME; ?></a>
                        </span>
                        <span class="description">Agency Name</span>
                    </div>
                    <p><i class="fa fa-map-marker"></i> <?php echo $singleRequest->COMPANYADDRESS; ?></p>
                    <ul class="list-unstyled">
                        <li>
                            <a href="" class="btn-link text-secondary"><i class="fa fa-phone"></i> <?php echo $singleRequest->COMPANYCONTACTNO; ?></a>
                        </li>
                    </ul>
                    <h5>School Request</h5>
                    <p><?php echo $singleRequest->RequestNotes; ?></p>
                </div>
            </div>
            <div class="col-12 col-md-12 col-lg-8 order-1 order-md-2">
                <h5>School Requirements</h5>
                <p class="text-muted">These are the documents that the school is required to submit for accreditation.</p>
                <table class="table table-bordered table-striped table-sm">
                    <thead>
                        <tr> 
                            <th>#</th> 
                            <th>Document</th> 
                            <th>Status</th>  
                            <th>Action</th>  
                        </tr> 
                    </thead> 
                    <tbody>
                        <?php
                        $i = 0;
                        $sql = "SELECT * FROM `tblrequestdocuments` WHERE RequestID='$requestID'";
                        $mydb->setQuery($sql);
                        $cur = $mydb->loadResultList();
                        foreach ($cur as $row) {
                            $i++;
                            echo '<tr>';
                            echo '<td>'.$i.'</td>'; 
                            echo '<td>'.$row->RequestDocuments.'</td>';
                            echo '<td>'.$row->Status.'</td>';
                            if ($row->Status == 'Pending') {
                                echo '<td align="center">
                                    <a href="#modal-lg" data-toggle="modal" title="Upload Document" class="uploadModal btn btn-primary btn-sm" 
                                       data-id="'.$row->DocumentID.'">
                                       <i class="fa fa-upload"></i>
                                    </a>
                                </td>';
                            } else { 
                                echo '<td align="center">
                                    <a href="#" class="btn btn-info btn-sm viewModal" 
                                       data-toggle="modal" data-target="#viewModal" 
                                       data-doc="'.$row->SchoolAttachment.'"
                                       data-docname="'.$row->RequestDocuments.'">
                                       <i class="fa fa-eye"></i> View
                                    </a>
                                    <a href="'.$row->SchoolAttachment.'" download class="btn btn-success btn-sm">
                                        <i class="fa fa-download"></i> Download
                                    </a>
                                    <a href="controller.php?action=remove&id='.$row->DocumentID.'" title="Remove Document" class="btn btn-danger btn-sm">
                                        <i class="fa fa-trash"></i>
                                    </a>
                                </td>';
                            }
                            echo '</tr>';
                        }
                        ?>
                    </tbody> 
                </table>  
            </div>
        </div>
    </div>
</div>
<!-- /.card -->

<<!-- View Document Modal -->
<div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="viewModalLabel">View Document</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center">
                <h5 id="doc-title"></h5>
                <div id="doc-preview">
                    <iframe id="doc-frame" src="" width="100%" height="500px" style="display: none;"></iframe>
                    <img id="doc-image" src="" width="100%" style="display: none;">
                    <p id="no-preview" style="display: none;">This file cannot be previewed. <a id="download-link" href="" target="_blank">Click here to download</a></p>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- JavaScript to Handle the View Modal -->
<script>
$(document).ready(function(){
    $(".viewModal").click(function(){
        var docURL = $(this).data("doc");
        var docName = $(this).data("docname");

        $("#doc-title").text(docName);
        $("#doc-frame").hide();
        $("#doc-image").hide();
        $("#no-preview").hide();

        // Check the file extension
        var fileExtension = docURL.split('.').pop().toLowerCase();

        if (fileExtension === "pdf") {
            // Display PDFs in the iframe
            $("#doc-frame").attr("src", docURL).show();
        } else if (["jpg", "jpeg", "png", "gif"].includes(fileExtension)) {
            // Display images
            $("#doc-image").attr("src", docURL).show();
        } else {
            // Unsupported file type - show download link
            $("#no-preview").show();
            $("#download-link").attr("href", docURL);
        }
    });
});
</script>
