<?php
require_once ("../../include/initialize.php");
 if(!isset($_SESSION['COMPANY_USERID'])){
      redirect(web_root."index.php");
     }

$action = (isset($_GET['action']) && $_GET['action'] != '') ? $_GET['action'] : '';

switch ($action) {
	case 'add' :
	doAddSchedule();
	break;
	case 'update' :
	doUpdateSchedule();
	break;
	case 'cancelrequest' :
	doCancel();
	break;
	case 'changestatus' :
	doChangeStatus();
	break;
	case 'load' :
	doLoad();
	break;
	case 'delete' :
	doDelete();
	break;
	 
	
}
   
function doAddSchedule()
{
	global $mydb;
	# code...

  	date_default_timezone_set("Asia/Manila");

	$requestID = isset($_POST['RequestID']) ? $_POST['RequestID'] : '';
	$dateSchedule1 = isset($_POST['ScheduleDate']) ? $_POST['ScheduleDate'] : '';
	$dateSchedule = dateFormat($dateSchedule1,'Y-m-d H:i:s');
	$endDateSchedule1 = isset($_POST['EndScheduleDate']) ? $_POST['EndScheduleDate'] : '';
	$endDateSchedule = dateFormat($endDateSchedule1,'Y-m-d H:i:s');
	$remarks = isset($_POST['Remarks']) ? $_POST['Remarks'] : '';


	$sql ="SELECT * FROM `tblschools`s, `tblrequestdocuments` r WHERE s.`SCHOOLID`=r.`SchoolID` AND Scheduled=0 AND `AlreadyEvaluated` = 0 AND `RequestID`='{$requestID}' GROUP BY RequestID";
	 $mydb->setQuery($sql);
     $curSchool = $mydb->loadSingleResult();

     $schoolID = $curSchool->SchoolID;
     $schoolName = $curSchool->SchoolName;
     $agencyID = $curSchool->AgencyID;
     $agencyName = $curSchool->AgencyName;

     $sql="INSERT INTO `tblschedule`(`RequestID`, `DateSchedule`,`EndScheduleDate`, `Remarks`, `AgencyID`, `AgencyName`, `SchoolID`, `SchoolName`) VALUES ('{$requestID}','{$dateSchedule}','{$endDateSchedule}','{$remarks}','{$agencyID}','{$agencyName}','{$schoolID}','{$schoolName}')";
     $mydb->setQuery($sql);

  //    // SELECT `VisitID`, `RequestID`, `DateSchedule`, `Remarks`, `AgencyID`, `AgencyName`, `SchoolID`, `SchoolName` FROM `tblschedule` WHERE 1
 
 	$sql = "UPDATE `tblrequestdocuments` SET `Scheduled`=1 WHERE `RequestID` ='{$requestID}' AND `Scheduled`=0";
 	$mydb->setQuery($sql);


	$sql = "INSERT INTO `tblnotification`(`CreatedBy`,`SendTo`,`ForeignID`, `NotificationMessage`, `Category`, `AlreadyViewed`) VALUES ('".$_SESSION['COMPANY_USERID']."','{$schoolID}','{$requestID}','{$remarks}','Schedule',0)";
	$mydb->setQuery($sql);



     message("New Schedule added successfully!", "success");

	 redirect("index.php");
 
 }


function doUpdateSchedule()
{
	global $mydb;
	# code...

  	date_default_timezone_set("Asia/Manila");

	 
	$dateSchedule = isset($_POST['startDate']) ? $_POST['startDate'] : '';
	// echo '<br/>'. $dateSchedule = dateFormat($dateSchedule,'Y-m-d H:i:s');
	$endDateSchedule = isset($_POST['endDate']) ? $_POST['endDate'] : '';
	// echo '<br/>'. $endDateSchedule = dateFormat($endDateSchedule,'Y-m-d H:i:s');
	$scheduleID = isset($_POST['scheduleID']) ? $_POST['scheduleID'] : '';

	$sql = "SELECT * FROM `tblschedule` WHERE `ScheduleID` = '{$scheduleID}'";
 	$mydb->setQuery($sql);
 	$curSchool = $mydb->loadSingleResult();
 	$requestID = $curSchool->RequestID;

     $schoolID = $curSchool->SchoolID; 
     $remarks = $curSchool->Remarks;

     $sql="UPDATE `tblschedule` SET `DateSchedule`='{$dateSchedule}',`EndScheduleDate`='{$endDateSchedule}'  WHERE `ScheduleID`='{$scheduleID}'";
     $mydb->setQuery($sql);

 
	$sql = "INSERT INTO `tblnotification`(`CreatedBy`,`SendTo`,`ForeignID`, `NotificationMessage`, `Category`, `AlreadyViewed`) VALUES ('".$_SESSION['COMPANY_USERID']."','{$schoolID}','{$requestID}','{$remarks}','Schedule',0)";
	$mydb->setQuery($sql);


	echo 'Schedule has been updated'; 
 
 }

function doCancel()
{
	global $mydb;
	# code...
	 
			$requestID = $_GET['RequestID'];
  
			$schoolRequest = new SchoolRequest();
			$schoolRequest->RequestStatus = 'Declined';
			$schoolRequest->update($requestID);

			$singleRequest = $schoolRequest->single_request($requestID);

			$schoolID = $singleRequest->SchoolID;


  

			$sql = "INSERT INTO `tblnotification`(`CreatedBy`,`SendTo`,`ForeignID`, `NotificationMessage`, `Category`, `AlreadyViewed`) VALUES ('".$_SESSION['COMPANY_USERID']."','{$schoolID}',{$requestID}','The agency ".$_SESSION['COMPANYNAME']." cancelled your request because your school has no prof of existance.','Declined Request',0)";
			$mydb->setQuery($sql);


			// $mydb->executeQuery();

			redirect("index.php"); 
 }
function doChangeStatus()
{
	global $mydb;
	# code...
	 
			$documentID = $_POST['id'];
			$status = $_POST['Status'];
  
			$docu = new RequestDocument();
			$docu->Status = $status;
			$docu->update($documentID);

			echo " Status change to " . $status;

	  
 }
 function doLoad()
 {
 	# code...
 	global $mydb;
 	 $sql ="SELECT * FROM `tblschools`s, `tblrequestdocuments` r,tblschedule sc WHERE s.`SCHOOLID`=r.`SchoolID` AND r.RequestID=sc.RequestID AND Scheduled=1 AND `AlreadyEvaluated` = 0  GROUP BY r.RequestID";
    $mydb->setQuery($sql);
    $result = $mydb->loadResultList();

    foreach($result as $row)
    {
      $settled = $row->Settled; 
      $edate = date_format(date_create($row->DateSchedule),'Y-m-d');
      $tdate = date('Y-m-d');

          // title          : 'Long Event',
          // start          : new Date(y, m, d - 5),
          // end            : new Date(y, m, d - 2),
          // backgroundColor: '#f39c12', //yellow
          // borderColor    : '#f39c12' //yellow

      if ($settled == 0 && $edate < $tdate) {
        # code...
         $data[] = array(
            'id'   => $row->ScheduleID,
            'title'   => $row->SchoolName,
            'start'   => $row->DateSchedule,
            'end'   => $row->EndScheduleDate,
            'remarks'   => $row->Settled,
            'eventstatus'   => $row->AlreadyEvaluated,
            'invno'   => $row->RequestID,
            'type' => 'Red',
            'backgroundColor'=> '#f39c12', //yellow
            'borderColor'    => '#f39c12' //yellow
          ); 
      }else{ 
         $data[] = array(
            'id'   => $row->ScheduleID,
            'title'   => $row->SchoolName,
            'start'   => $row->DateSchedule,
            'end'   => $row->EndScheduleDate,
            'remarks'   => $row->Settled,
            'eventstatus'   => $row->AlreadyEvaluated,
            'invno'   => $row->RequestID,
            'type' => 'Blue',
            'backgroundColor'=> '#f39c12', //yellow
            'borderColor'    => '#f39c12' //yellow
          ); 
      }
  
    }
    echo json_encode($data);
 }
  function doDelete()
 {
 	# code...
 	global $mydb;

 	$scheduleID = isset($_POST['id']) ? $_POST['id'] :'';
 	$sql = "SELECT * FROM `tblschedule` WHERE `ScheduleID` = '{$scheduleID}'";
 	$mydb->setQuery($sql);
 	$cur = $mydb->loadSingleResult();
 	$requestID = $cur->RequestID;  
     $schoolID = $cur->SchoolID; 
     $remarks = $cur->Remarks; 

 
	$sql = "INSERT INTO `tblnotification`(`CreatedBy`,`SendTo`,`ForeignID`, `NotificationMessage`, `Category`, `AlreadyViewed`) VALUES ('".$_SESSION['COMPANY_USERID']."','{$schoolID}','{$requestID}','{$remarks}','Schedule',0)";
	$mydb->setQuery($sql);


    $sql = "UPDATE `tblrequestdocuments` SET `Scheduled`=0 WHERE `RequestID` ='{$requestID}' AND `Scheduled`=1";
 	$mydb->setQuery($sql);

 	 $sql ="DELETE FROM `tblschedule` WHERE `ScheduleID` = '{$scheduleID}'";
    $mydb->setQuery($sql); 
 }
?>