<?php  
require_once ("include/initialize.php");
$action = (isset($_GET['action']) && $_GET['action'] != '') ? $_GET['action'] : '';
switch ($action) {
	case 'submitapplication' :
	doSubmitApplication();
	break;
  
	case 'registerschool' :
	doRegister();
	break;  

	case 'registerAgency' :
	doRegisterAgency();
	break;  

	case 'login' :
	doLogin();
	break; 

	case 'loginagency' :
	doLoginAgency();
	break; 

	case 'authentication':
		doAuth($_POST);
		break;
}

function sms($number, $message) {
	$apiKey = '2c8ac88b-fd0c-4a61-837c-aff70240cb74';
	$deviceId = '671cefd230206fdc681d37a3';
	$url = "https://api.textbee.dev/api/v1/gateway/devices/{$deviceId}/sendSMS";
	$headers = [
		"x-api-key: $apiKey",
		"Content-Type: application/json"
	];
	$data = json_encode([
		"recipients" => [$number],
		"message" => $message
	]);

	$ch = curl_init($url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
	curl_setopt($ch, CURLOPT_POST, true);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

	$response = curl_exec($ch);
	$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
	curl_close($ch);
	if ($httpCode == 200 || $httpCode == 201) {
		return 1;
	} else {
		return 0;
	}
}

function verifyAdmin($data)
{
	global $mydb;

	$company = new Company();
	$r = $company->companyAuthentication($data['phonenumber'], sha1($data['password']));
	if ($r==true) {
		$_SESSION['otp'] = rand(111111, 999999);
		sms($data['phonenumber'], "Your OTP is ".$_SESSION['otp']);
		header('location: verifyauthentication.php');
	}else{
		echo "Account does not exist! Please contact Administrator."; 
	} 

}

function verifyUser($data)
{
	global $mydb;

	$school = new School();
	$res = $school->schoolAuthentication($data['phonenumber'], sha1($data['password']));
    if ($res) { 
		$_SESSION['otp'] = rand(111111, 999999);
		sms($data['phonenumber'], "Your OTP is ".$_SESSION['otp']);
		header('location: verifyauthentication.php');
    }else{  
    	echo "Account does not exist! Please contact Administrator."; 
    } 
}

function verifyAccreditor($data)
{
	global $mydb;

	$company = new Company();
	$r = $company->companyAuthenticationAccreditor($data['phonenumber'], sha1($data['password']));
	if ($r==true) {
		$_SESSION['otp'] = rand(111111, 999999);
		sms($data['phonenumber'], "Your OTP is ".$_SESSION['otp']);
		header('location: verifyauthentication.php');
	}else{
		echo "Account does not exist! Please contact Administrator."; 
	}
}

function doAuth($data)
{
	$_SESSION['role'] = $data['role'];
	
	if($data['role'] == 'administrator' ){
		verifyAdmin($data);
	}elseif($data['role'] == 'department'){
		verifyUser($data);
	}else{
		verifyAccreditor($data);
	}
}

function doSubmitApplication() { 
	global $mydb;   
		$jobid  = $_GET['JOBID'];
		

		$autonum = New Autonumber();
		$applicantid = $autonum->set_autonumber('APPLICANT');
		$autonum = New Autonumber();
		$fileid = $autonum->set_autonumber('FILEID');

		@$picture = UploadImage();
		@$location = "photos/". $picture ;


		if ($picture=="") {
			# code...
			redirect(web_root."index.php?q=apply&job=".$jobid."&view=personalinfo");
		}else{ 
			
			if (isset($_SESSION['APPLICANTID'])) {

				$sql = "INSERT INTO `tblattachmentfile` (FILEID,`USERATTACHMENTID`, `FILE_NAME`, `FILE_LOCATION`, `JOBID`) 
				VALUES ('". date('Y').$fileid->AUTO."','{$_SESSION['APPLICANTID']}','Resume','{$location}','{$jobid}')";
				$mydb->setQuery($sql); 
				 

				doUpdate($jobid,$fileid->AUTO);
 
			}else{
				 
				$sql = "INSERT INTO `tblattachmentfile` (FILEID,`USERATTACHMENTID`, `FILE_NAME`, `FILE_LOCATION`, `JOBID`) 
				VALUES ('". date('Y').$fileid->AUTO."','". date('Y').$applicantid->AUTO."','Resume','{$location}','{$jobid}')";
				$mydb->setQuery($sql); 
				 

				doInsert($jobid,$fileid->AUTO); 

				$autonum = New Autonumber();
				$autonum->auto_update('APPLICANT');
			}
		} 
	 
}

function doInsert($jobid=0,$fileid=0) {
	if (isset($_POST['submit'])) {  
	global $mydb; 

			$birthdate =  $_POST['year'].'-'.$_POST['month'].'-'.$_POST['day'];

			$age = date_diff(date_create($birthdate),date_create('today'))->y;

			if ($age < 20){
			message("Invalid age. 20 years old and above is allowed.", "error");
			redirect("index.php?q=apply&view=personalinfo&job=".$jobid);

			}else{

			$autonum = New Autonumber();
			$auto = $autonum->set_autonumber('APPLICANT');
			 
			$applicant =New Applicants();
			$applicant->APPLICANTID = date('Y').$auto->AUTO;
			$applicant->FNAME = $_POST['FNAME'];
			$applicant->LNAME = $_POST['LNAME'];
			$applicant->MNAME = $_POST['MNAME'];
			$applicant->ADDRESS = $_POST['ADDRESS'];
			$applicant->SEX = $_POST['optionsRadios'];
			$applicant->CIVILSTATUS = $_POST['CIVILSTATUS'];
			$applicant->BIRTHDATE = $birthdate;
			$applicant->BIRTHPLACE = $_POST['BIRTHPLACE'];
			$applicant->AGE = $age;
			$applicant->USERNAME = $_POST['USERNAME'];
			$applicant->PASS = sha1($_POST['PASS']);
			$applicant->EMAILADDRESS = $_POST['EMAILADDRESS'];
			$applicant->CONTACTNO = $_POST['TELNO'];
			$applicant->DEGREE = $_POST['DEGREE'];
			$applicant->create();


			$sql = "SELECT * FROM `tblcompany` c,`tbljob` j WHERE c.`COMPANYID`=j.`COMPANYID` AND JOBID = '{$jobid}'" ;
			$mydb->setQuery($sql);
			$result = $mydb->loadSingleResult();


			$jobreg = New JobRegistration(); 
			$jobreg->COMPANYID = $result->COMPANYID;
			$jobreg->JOBID     = $result->JOBID;
			$jobreg->APPLICANTID = date('Y').$auto->AUTO;
			$jobreg->APPLICANT   = $_POST['FNAME'] . ' ' . $_POST['LNAME'];
			$jobreg->REGISTRATIONDATE = date('Y-m-d');
			$jobreg->FILEID = date('Y').$fileid;
			$jobreg->REMARKS = 'Pending';
			$jobreg->DATETIMEAPPROVED = date('Y-m-d H:i');
			$jobreg->create();



		$autonum = New Autonumber();
	    $autonum->auto_update('FILEID'); 
  

			message("Your application already submitted. Please wait for the company confirmation if your are qualified to this job.","success");
			redirect("index.php?q=success&job=".$result->JOBID);

			
	 }
}
}
function doUpdate($jobid=0,$fileid=0) {
	if (isset($_POST['submit'])) {
	global $mydb;   

			$applicant =New Applicants();
			$appl  = $applicant->single_applicant($_SESSION['APPLICANTID']);

			 

			$sql = "SELECT * FROM `tblcompany` c,`tbljob` j WHERE c.`COMPANYID`=j.`COMPANYID` AND JOBID = '{$jobid}'" ;
			$mydb->setQuery($sql);
			$result = $mydb->loadSingleResult();


			$jobreg = New JobRegistration(); 
			$jobreg->COMPANYID = $result->COMPANYID;
			$jobreg->JOBID     = $result->JOBID;
			$jobreg->APPLICANTID = $appl->APPLICANTID;
			$jobreg->APPLICANT   = $appl->FNAME . ' ' . $appl->LNAME;
			$jobreg->REGISTRATIONDATE = date('Y-m-d');
			$jobreg->FILEID = date('Y').$fileid;
			$jobreg->REMARKS = 'Pending';
			$jobreg->DATETIMEAPPROVED = date('Y-m-d H:i');
			$jobreg->create();

			$autonum = New Autonumber();
	   		$autonum->auto_update('FILEID'); 

  
			message("Your application already submitted. Please wait for the company confirmation if your are qualified to this job.","success");
			redirect("index.php?q=success&job=".$result->JOBID);
 
	}
}
function doRegister(){
	global $mydb;
	// if (isset($_POST['btnRegister'])) { 
			  
			 
			$school =New School; 
			$school->SCHOOLNAME = $_POST['SCHOOLNAME']; 
			$school->ADDRESS = $_POST['ADDRESS'];   
			$school->EMAILADDRESS = $_POST['EMAILADDRESS'];
			$school->CONTACTNO = $_POST['CONTACTNO']; 
			$school->USERNAME = $_POST['USERNAME'];
			$school->PASS = sha1($_POST['PASS']);
			$school->create();

 

			message("You are successfully registered to the site. You can login now!","success");
			redirect("index.php?q=success");

			
	 // } 
}
function doRegisterAgency(){
	global $mydb;
	if (isset($_POST['btnRegister'])) { 

			$company = New Company();
			$company->COMPANYNAME		= $_POST['COMPANYNAME'];
			$company->COMPANYADDRESS	= $_POST['COMPANYADDRESS'];
			$company->COMPANYCONTACTNO	= $_POST['COMPANYCONTACTNO'];
			$company->C_Username		= $_POST['C_Username']; 
			$company->C_Password		= sha1($_POST['C_Password']);
			$company->designation		= $_POST['designation'];
			$company->create();
			
			message("You are successfully registered to the site. You can login now!","success");
			redirect("index.php?q=success");
	 } 
}

function doLogin($data){

	// echo "School";
 
	$email = trim($_POST['USERNAME']);
	$upass  = trim($_POST['PASS']);
	$h_upass = sha1($upass); 

  	// //it creates a new objects of member
    $school = new School();
    //make use of the static function, and we passed to parameters
    $res = $school->schoolAuthentication($email, $h_upass);

	print_r($school);

    if ($res==true) { 

		$_SESSION['ROLE'] = 'user';

       	 message("You are now successfully login!","success"); 
         redirect(web_root."school/");
     
    }else{  
    		echo "Account does not exist! Please contact Administrator."; 

    } 
}


function doLoginAgency(){

	// echo "Agency";
  
	$email = trim($_POST['USERNAME']);
	$upass  = trim($_POST['PASS']);
	$h_upass = sha1($upass);

 
	    $company = new Company();
	    //make use of the static function, and we passed to parameters
	   $r = $company->companyAuthentication($email, $h_upass);
	   
	   if ($r==true) { 
			$_SESSION['ROLE'] = 'admin';
			message("You are now successfully login!","success");
			redirect(web_root."agency/");
       }else{
    		echo "Account does not exist! Please contact Administrator."; 

       } 
}
 


function UploadImage($jobid=0){
	$target_dir = "applicant/photos/";
	$target_file = $target_dir . date("dmYhis") . basename($_FILES["picture"]["name"]);
	$uploadOk = 1;
	$imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);
		
	if($imageFileType != "jpg" || $imageFileType != "png" || $imageFileType != "jpeg"
|| $imageFileType != "gif" ) {
		 if (move_uploaded_file($_FILES["picture"]["tmp_name"], $target_file)) {
			return  date("dmYhis") . basename($_FILES["picture"]["name"]);
		}else{
			message("Error Uploading File","error");
			// redirect(web_root."index.php?q=apply&job=".$jobid."&view=personalinfo");
			// exit;
		}
	}else{
			message("File Not Supported","error");
			// redirect(web_root."index.php?q=apply&job=".$jobid."&view=personalinfo");
			// exit;
		}
} 


?>